Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228126 - postfix error due to selinux
Summary: postfix error due to selinux
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: postfix
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-10 03:06 UTC by Florin Andrei
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-28 15:54:07 UTC


Attachments (Terms of Use)

Description Florin Andrei 2007-02-10 03:06:03 UTC
Description of problem:
avc: denied { read } for comm="pickup" dev=sda3 egid=89 euid=89
exe="/usr/libexec/postfix/pickup" exit=-13 fsgid=89 fsuid=89 gid=89 items=0
name="maildrop" pid=7932 scontext=user_u:system_r:postfix_pickup_t:s0 sgid=89
subj=user_u:system_r:postfix_pickup_t:s0 suid=89 tclass=dir
tcontext=system_u:object_r:postfix_spool_maildrop_t:s0 tty=(none) uid=89 

Version-Release number of selected component (if applicable):
postfix-2.3.6-1

How reproducible:
always

Steps to Reproduce:
1. install postfix via yum
2. try and run postfix
3.
  
Actual results:
see above

Expected results:
no selinux errors

Additional info:
restorecon -v /var/spool/postfix/maildrop did not help

Source Context:  user_u:system_r:postfix_pickup_t:s0
Target Context:  system_u:object_r:postfix_spool_maildrop_t:s0

Comment 1 Bill Nottingham 2007-03-02 17:31:43 UTC
Moving to 'devel' as discussed on
https://www.redhat.com/archives/fedora-devel-list/2007-March/msg00095.html.

Comment 2 Thomas Woerner 2007-09-24 16:22:50 UTC
Do you have a special postfix configuration? Or does this happen with the
standard configuration?

Comment 3 Thomas Woerner 2007-11-28 15:54:07 UTC
This bug entry was in needinfo for some time. Closing due to user inactivity as
"NOT A BUG".


Note You need to log in before you can comment on or make changes to this bug.